### Method

# Clutter Stage pointing_input_foreach

#### Declaration [src]

    gboolean
    clutter_stage_pointing_input_foreach (
      ClutterStage* self,
      ClutterStageInputForeachFunc func,
      gpointer user_data
    )

#### Description [src]

Iterates over active input.

#### Parameters

`func`

  Type: `ClutterStageInputForeachFunc`

  Iterator function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the foreach function did not stop.